post
https://api-sandbox.qorcommerce.io/v3/payment/sale/pos
Process a purchase through a point of sale system with or without QorConnect
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Note:This Purchase endpoint is unique because of the POS / Terminal and
USER.CP_PRODUCT_NAMEparameters.
Parameters
The following parameters are available to process a credit/debit card sale via USER.CP_PRODUCT_NAME.
| parameter | description | required |
|---|---|---|
| mid | the Merchant ID (MID) assigned by USER.COMPANY_NAME or your merchant service provider (MSP) | Yes |
| topt | Type Of Payment Transaction - set a value to simply tag and/or route a transaction to a pre-defined provider. | No |
| reference_id | A reference id that will be echoed back in the message response. | No |
| amount | the total amount to process | Yes |
| tax | the tax amount on the order | Yes |
| ticket | POS ticket {object} (USER.CP_PRODUCT_NAME) - (see ticket object parameters below) | Yes |
| baddress | the card billing street address | No |
| baddress2 | the card billing street 2 address | No |
| bcity | the card billing city name | No |
| bstate | the card billing state code | No |
| bzip | the card billing zip code | No |
| bcountry | the card billing country code | No |
| currency | The currency to process. Defaults to 'USD' if no value provided | No |
| ipaddress | The IP address of the client or server sending the request | No |
| cfirstname | the customer first name | No |
| clastname | the customer last name | No |
| cemail | the customer email address | No |
| cphone | the customer phone number | No |
| send_rcpt | send the customer a receipt to cemail | No |
| metadata | a set of key-value pairs that you can attach to a payment. This can be useful for storing additional information about the payment in a structured format. | No |
The ticket object array provides the following parameters
| parameter | description | required |
|---|---|---|
| terminal_id | the POS terminal id | Yes |
| clerk_number | unique employee id | Yes |
| check_number | the POS ticket ID | Yes |
| payment_id | the payment ID from the POS | Yes |
JSON Example
The following JSON example provides test values to process a QorConnect sale. You can copy and paste these values in the Body Params section below to be used by the Try It feature
{
"transaction_data": {
"mid": "887728202",
"amount": "1.5",
"ticket": {
"terminal_id": "3",
"clerk_number": "1002",
"check_number": "10001",
"payment_id": "POS_12345"
},
"bzip": "92382",
"baddress": "18312 All View Dr.",
"baddress2": "Apt 207",
"bcity": "Running Springs",
"bstate": "CA",
"bcountry": "US",
"cfirstname": "Russell",
"clastname": "Hanneman",
"cemail": "[email protected]",
"cphone": "1-344-877-8928",
"cwebaddress": "example.com",
"send_rcpt": "true"
}
}Response Codes
Link to details on related response codes.
Test Cards
The following sample credit card numbers should be used to get the expected responses:
| Card Number | Exp Date | Response |
|---|---|---|
| 5544044490909090 | 0425 | Approved |
| 4000000000000001 | 0425 | Approved |
| 4111111111111111 | 0425 | Approved |
| 5555555555554444 | 0425 | Denied |
| 6011869900381627 | 0425 | Denied |
| 6011740000005418 | 0425 | Denied |
| 6011099900207396 | 0425 | Denied |
